/*
*/

#include <string>
#include <list>
#include <VibChannelDesc.h>



    

VibChannelDesc::VibChannelDesc(u_int32_t id, const std::string& name, VALUEFORMAT valueFormat, u_int32_t vByteSpace){
   this->id = id;
   this->name = name;
   this->valueFormat = valueFormat;
   this->vByteSpace = vByteSpace;
}


u_int32_t VibChannelDesc::GetId(){
   return this->id;
}


const std::string& VibChannelDesc::GetName(){
   return this->name;
}


VALUEFORMAT VibChannelDesc::GetValueFormat(){
   return this->valueFormat;
}

/**
 * return the length of the data that is neeeded for one value of the channel in UINT32 
 * 
 */
u_int32_t VibChannelDesc::GetValueByteSpace(){
   return this->vByteSpace;
}
   
